Bug 1288702 - /usr/bin/duplicity AssertionError assert filecount == len(self.files_changed)
/usr/bin/duplicity AssertionError assert filecount == len(self.files_changed)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: duplicity (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-05 05:14 EST by Peter Bieringer
Modified: 2016-11-28 00:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-28 00:55:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2015-12-05 05:14:37 EST
Description of problem:


Version-Release number of selected component (if applicable):
duplicity-0.7.05-1.fc23.x86_64

How reproducible:
always


Steps to Reproduce:
1. run duplicity

Actual results:

Traceback (most recent call last):
  File "/usr/bin/duplicity", line 1525, in <module>
    with_tempdir(main)
  File "/usr/bin/duplicity", line 1519, in with_tempdir
    fn()
  File "/usr/bin/duplicity", line 1373, in main
    do_backup(action)
  File "/usr/bin/duplicity", line 1398, in do_backup
    globals.archive_dir).set_values()
  File "/usr/lib64/python2.7/site-packages/duplicity/collections.py", line 710, in set_values
    self.get_backup_chains(partials + backend_filename_list)
  File "/usr/lib64/python2.7/site-packages/duplicity/collections.py", line 835, in get_backup_chains
    add_to_sets(f)
  File "/usr/lib64/python2.7/site-packages/duplicity/collections.py", line 829, in add_to_sets
    if new_set.add_filename(filename):
  File "/usr/lib64/python2.7/site-packages/duplicity/collections.py", line 101, in add_filename
    self.set_manifest(filename)
  File "/usr/lib64/python2.7/site-packages/duplicity/collections.py", line 149, in set_manifest
    self.set_files_changed()
  File "/usr/lib64/python2.7/site-packages/duplicity/collections.py", line 128, in set_files_changed
    mf = self.get_manifest()
  File "/usr/lib64/python2.7/site-packages/duplicity/collections.py", line 250, in get_manifest
    return self.get_local_manifest()
  File "/usr/lib64/python2.7/site-packages/duplicity/collections.py", line 225, in get_local_manifest
    return manifest.Manifest().from_string(manifest_buffer)
  File "/usr/lib64/python2.7/site-packages/duplicity/manifest.py", line 207, in from_string
    assert filecount == len(self.files_changed)
AssertionError


Expected results:

Working

Additional info

Probably a python update issue

$ rpm -qa --last |egrep '(dup|pyth)'
python-libxml2-2.9.3-2.fc23.x86_64            Sa 05 Dez 2015 08:52:01 CET
python-fedora-0.6.4-1.fc23.noarch             Sa 05 Dez 2015 08:51:26 CET
python3-blockdev-1.3-4.fc23.x86_64            Sa 05 Dez 2015 08:51:23 CET
python2-blockdev-1.3-4.fc23.x86_64            Sa 05 Dez 2015 08:51:23 CET
deja-dup-nautilus-34.0-3.fc23.x86_64          Mo 30 Nov 2015 07:50:17 CET
deja-dup-34.0-3.fc23.x86_64                   Mo 30 Nov 2015 07:50:17 CET
Comment 1 Fedora End Of Life 2016-11-24 08:58:56 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Peter Bieringer 2016-11-28 00:55:26 EST
no longer seen, probably already fixed some time ago

Note You need to log in before you can comment on or make changes to this bug.